package shop.alien.store.service;

import com.baomidou.mybatisplus.extension.service.IService;
import shop.alien.entity.store.LifeBlacklist;
import shop.alien.entity.store.vo.LifeBlacklistVo;

import java.util.List;

/**
 * <p>
 * 黑名单
 * 服务类
 * </p>
 *
 * @author ssk
 * @since 2025-04-30
 */
public interface LifeBlacklistService extends IService<LifeBlacklist> {

    int blackList(LifeBlacklist lifeBlacklist);

    List<LifeBlacklistVo> blackListByUserId(String userType, String userId);

    Boolean isBlackListUser(LifeBlacklist lifeBlacklist);

    int cancelBlacklist(LifeBlacklist lifeBlacklist);

    boolean hasBlackList(String otherSidePhoneId) throws Exception;
}
